# promptoria

![PyPI](https://img.shields.io/pypi/v/promptoria)
![License](https://img.shields.io/github/license/buanzo/promptoria)

promptoria is a Python library that makes it easy to interact with OpenAI's
GPT language model.  It simplifies the process of sending prompts and
handling responses, allowing you to focus on your application rather than
handling low-level API details.  promptoria is compatible with Python 3.10+
and works well with the Jinja2 templating engine.

## Installation

```
pip3 install promptoria
```

## Usage

```
from promptoria import gptPrompt

arrayGpt = gptPrompt(lang='Spanish', temperature=0.6, max_tokens='100', return_as='array')

for element in arrayGpt('most used programming languages in the world'):
    print(element)
```

## Features

- Flexible configuration options
- Support for different languages and response formats
- Easy-to-use API for interacting with GPT language model
- Compatible with Jinja2 templating engine

## Dependencies

- openai

## License

This project is licensed under the MIT License.

## Author

Arturo "Buanzo" Busleiman - buanzo@buanzo.com.ar

For more information, visit the project repository: https://github.com/buanzo/promptoria
Based on ideas taken from jinja2_openai_gpt_example.py: https://gist.github.com/buanzo/2f3164b187e1b3e14f289195a7e58477

## Note

This documentation was 90% generated by GPT4 by parsing the setup.py, requirements.txt and src/promptoria/pyprompt.py file contents.

